feldspar-language-0.6.0.2: A functional embedded language for DSP and parallelism

Safe Haskell | None

Feldspar.Core.Frontend.Num

# Documentation

class (Type a, Num a, Num (Size a)) => Numeric a where

Methods

fromIntegerNum :: Integer -> Data a

absNum :: Data a -> Data a

signumNum :: Data a -> Data a

addNum :: Data a -> Data a -> Data a

subNum :: Data a -> Data a -> Data a

mulNum :: Data a -> Data a -> Data a

Instances

Numeric Float |
Numeric Int8 |
Numeric Int16 |
Numeric Int32 |
Numeric Int64 |
Numeric Word8 |
Numeric Word16 |
Numeric Word32 |
Numeric Word64 |
Numeric IntN |
Numeric WordN |
(Type a, RealFloat a) => Numeric (Complex a) |